Subject: Re: bug#11863: Building test plugins

From: Stefano Lattarini <[email-masked]>
Date: Thu, 05 Jul 2012 00:35:13 +0200

tags 11863 + moreinfo
thanks

On 07/04/2012 10:43 PM, Reuben Thomas wrote:
> I have a library that I want to build just for tests. Hence, I add it
> to check_LTLIBRARIES. It's a plugin, so I want the .so (or .dll or
> whatever) to be built, but it isn't!
>
It isn't built when you run "make check"?  That is a bug.
It isn't built when you run "make all"?  That is a expected.

As the documentation says:

   The special prefix 'check_' indicates that the objects in question
   should not be built until the "make check" command is run.  Those
   objects are not installed either.

> If I instead add the library to pkglib_LTLIBRARIES, then the shared
> object is built, but the test library is installed, which is not what
> I want.
> 
> Reading the automake & libtool manuals, I can't see anything about
> what exactly triggers building of the shared object; can someone tell
> me what I should do in this instance to get a shared object for tests
> only?
> 

HTH,
  Stefano